import { IAuthor } from "./author-type";
import { ILocation } from "./location-type";
import { IReportImage } from "./report-image-type";

export interface IReport {
  results: any;
  id: number;
  image: IReportImage[];
  description: string;
  author: IAuthor;
  created_at: string;
  updated_at: string;
  location: ILocation[];
  category: number;
  total_likes: number;
  count_reviews: number;
}

export interface IRatingReport {
  created_at: string;
  category: null;
  author: {
    id: number;
    first_name: string;
    last_name: string;
    govern_status: null;
  };
  total_likes: number;
  count_reviews: number;
  address: string;
}
